mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.CLSCompliant(false) System.Runtime.InteropServices.ComVisible(true)

This interface provides methods to convert the value of an instance of an implementing type to a common language runtime type that has an equivalent value. The common language runtime types are , , , , , , , , , , , , , , and .

If there is no meaningful conversion to a common language runtime type, then a particular interface method implementation throws . For example, if this interface is implemented on a Boolean type, the implementation of the method throws an exception because there is no meaningful equivalent to a Boolean type.

The common language runtime typically exposes the interface through the class. The common language runtime also uses the interface internally, in explicit interface implementations, to simplify the code used to support conversions in the class and basic common language runtime types.

In addition to the interface, the .NET Framework provides classes called type converters for converting user-defined data types to other data types. For more information, see the Generalized Type Conversion topic.

Defines methods that convert the value of the implementing reference or value type to a common language runtime type that has an equivalent value.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.TypeCode To be added

  Returns the for this instance.

  The enumerated constant that is the of the class or value type that implements this interface.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added

  Converts the value of this instance to an equivalent Boolean value using the specified culture-specific formatting information.

  A Boolean value equivalent to the value of this instance.

  An interface implementation that supplies culture-specific formatting information.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Byte `` To be added

  Converts the value of this instance to an equivalent 8-bit unsigned integer using the specified culture-specific formatting information.

  An 8-bit unsigned integer equivalent to the value of this instance.

  An interface implementation that supplies culture-specific formatting information.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Char `` To be added

  Converts the value of this instance to an equivalent Unicode character using the specified culture-specific formatting information.

  A Unicode character equivalent to the value of this instance.

  An interface implementation that supplies culture-specific formatting information.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.DateTime `` To be added

  Converts the value of this instance to an equivalent using the specified culture-specific formatting information.

  A instance equivalent to the value of this instance.

  An interface implementation that supplies culture-specific formatting information.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Decimal `` To be added

  Converts the value of this instance to an equivalent number using the specified culture-specific formatting information.

  A number equivalent to the value of this instance.

  An interface implementation that supplies culture-specific formatting information.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Double `` To be added

  Converts the value of this instance to an equivalent double-precision floating-point number using the specified culture-specific formatting information.

  A double-precision floating-point number equivalent to the value of this instance.

  An interface implementation that supplies culture-specific formatting information.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int16 `` To be added

  Converts the value of this instance to an equivalent 16-bit signed integer using the specified culture-specific formatting information.

  An 16-bit signed integer equivalent to the value of this instance.

  An interface implementation that supplies culture-specific formatting information.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` To be added

  Converts the value of this instance to an equivalent 32-bit signed integer using the specified culture-specific formatting information.

  An 32-bit signed integer equivalent to the value of this instance.

  An interface implementation that supplies culture-specific formatting information.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int64 `` To be added

  Converts the value of this instance to an equivalent 64-bit signed integer using the specified culture-specific formatting information.

  An 64-bit signed integer equivalent to the value of this instance.

  An interface implementation that supplies culture-specific formatting information.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.SByte `` To be added

  Converts the value of this instance to an equivalent 8-bit signed integer using the specified culture-specific formatting information.

  An 8-bit signed integer equivalent to the value of this instance.

  An interface implementation that supplies culture-specific formatting information.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Single `` To be added

  Converts the value of this instance to an equivalent single-precision floating-point number using the specified culture-specific formatting information.

  A single-precision floating-point number equivalent to the value of this instance.

  An interface implementation that supplies culture-specific formatting information.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String `` To be added

  Converts the value of this instance to an equivalent using the specified culture-specific formatting information.

  A instance equivalent to the value of this instance.

  An interface implementation that supplies culture-specific formatting information.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object `` `` To be added

  Converts the value of this instance to an of the specified that has an equivalent value, using the specified culture-specific formatting information.

  An instance of type whose value is equivalent to the value of this instance.

  The to which the value of this instance is converted. An interface implementation that supplies culture-specific formatting information.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.UInt16 `` To be added

  Converts the value of this instance to an equivalent 16-bit unsigned integer using the specified culture-specific formatting information.

  An 16-bit unsigned integer equivalent to the value of this instance.

  An interface implementation that supplies culture-specific formatting information.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.UInt32 `` To be added

  Converts the value of this instance to an equivalent 32-bit unsigned integer using the specified culture-specific formatting information.

  An 32-bit unsigned integer equivalent to the value of this instance.

  An interface implementation that supplies culture-specific formatting information.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.UInt64 `` To be added

  Converts the value of this instance to an equivalent 64-bit unsigned integer using the specified culture-specific formatting information.

  An 64-bit unsigned integer equivalent to the value of this instance.

  An interface implementation that supplies culture-specific formatting information.